Subject: [Linaro-acpi] [PATCH v7 04/17] ARM64 / ACPI: Introduce early_param for "acpi" and pass acpi=force to enable ACPI

From: [email-masked] (Timur Tabi)
Date: Thu, 29 Jan 2015 12:34:50 -0600

On 01/29/2015 12:28 PM, Ard Biesheuvel wrote:
> The UEFI stub in the kernel uses the DTB file format (FDT) to pass
> information about the UEFI memory map and system table to the kernel.
> It does so even if there is no device tree that describes the
> platform. In this case, the file only contains a /chosen DT node, and
> nothing else, and it is up to the kernel to figure out that it can ask
> UEFI for a set of ACPI tables that it can use instead to configure the
> system. Otherwise, the /chosen node properties are added to a device
> tree that contains the full platform description.
>
> The problem is that we have to decide how to distinguish a
> conventional device tree DTB from a DTB that only exists to
> communicate the UEFI entry points.

Ah, that's exactly what I'm seeing.  The UEFI stub in our kernel 
generates a DTB, and therefore I always need to put acpi=force on our 
kernel command line.

-- 
Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.